Skip to Content
homemade
Dashboard

Rename an API key

PATCH
/api/api-keys/{keyId}

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

keyId*string

Request Body

application/json
  1. body
name*string
Length1 <= length <= 64

Response Body

Renamed.

application/json
  1. response
id*string
name*string|null
Example Request
curl -X PATCH 'https://api.homemade.dev/api/api-keys/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "name": "string"}